# std::__detail::_Hashtable_iterator_base< _Value, __cache > Struct Template Reference

Inheritance diagram for std::__detail::_Hashtable_iterator_base< _Value, __cache >:

List of all members.

## Detailed Description

### template<typename _Value, bool __cache>
struct std::__detail::_Hashtable_iterator_base< _Value, __cache >

Definition at line 231 of file hashtable_policy.h.

## Public Member Functions

- _Hashtable_iterator_base (_Hash_node< _Value, __cache > *__node, _Hash_node< _Value, __cache > **__bucket)
- void _M_incr ()
- void _M_incr_bucket ()

## Public Attributes

- _Hash_node< _Value, __cache > ** _M_cur_bucket
- _Hash_node< _Value, __cache > * _M_cur_node

The documentation for this struct was generated from the following file:

- hashtable_policy.h